import React, { CSSProperties } from 'react';

interface ResizePanelProps {
    direction: "n" | "s" | "e" | "w";
    handleClass?: string;
    borderClass?: string;
    containerClass?: string;
    style?: CSSProperties;
}
interface State {
    size: number;
}
declare class ResizePanel extends React.Component<ResizePanelProps, State> {
    contentRef: React.RefObject<HTMLDivElement>;
    wrapperRef: React.RefObject<HTMLDivElement>;
    constructor(props: ResizePanelProps);
    isHorizontal: () => boolean;
    componentDidMount(): void;
    validateSize(): void;
    handleDrag: (e: any, ui: any) => void;
    handleDragEnd: (e: any, ui: any) => void;
    render(): JSX.Element;
}

export default ResizePanel;
